## vile 9.8t-3build1

=== debian/changelog ===
vile (9.8t-3build1) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:38:27 +0000

=== package/debian/changelog ===
vile (9.8t) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 17 Feb 2017 15:22:53 -0500

vile (9.8s) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 29 Jul 2016 04:58:58 -0400

vile (9.8r) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 02 Nov 2015 04:52:25 -0500

vile (9.8q) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 04 Mar 2015 20:12:05 -0500

vile (9.8p) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 15 Oct 2014 20:51:30 -0400

vile (9.8o) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 21 Jul 2014 04:21:26 -0400

vile (9.8n) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 31 Mar 2014 19:13:33 -0400

vile (9.8m) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 01 Feb 2014 20:00:20 -0500

vile (9.8l) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 28 Aug 2013 13:35:16 -0400

vile (9.8k) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 14 May 2013 04:49:55 -0400

vile (9.8j) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 16 Oct 2012 05:22:53 -0400

vile (9.8i) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 20 Aug 2012 05:26:22 -0400

vile (9.8h) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 11 Mar 2012 20:44:01 -0400

=== debian/control ===
Source: vile
Section: editors
Priority: optional
Maintainer: Brendan O'Dea <bod@debian.org>
Uploaders: Paul van Tilburg <paulvt@debian.org>
Standards-Version: 4.1.3
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10), flex (>= 2.6.4), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
Vcs-Browser: https://salsa.debian.org/debian/vile
Vcs-Git: https://salsa.debian.org/debian/vile.git

Package: vile
Architecture: any
Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: editor
Description: VI Like Emacs - vi work-alike
 vile is a text editor which is extremely compatible with vi in terms of
 ``finger feel''.  In addition, it has extended capabilities in many areas,
 notably multi-file editing and viewing, syntax highlighting, key rebinding,
 an optional embedded perl interpreter, and real X window system support.
 .
 This package contains the character-mode binary.  Required support files
 are contained in vile-common.  Source code highlighting filters are in
 vile-filters.  An X11 binary is in the xvile package.

Package: vile-filters
Architecture: any
Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: VI Like Emacs - highlighting filters for vile/xvile
 Text highlighting filters for various languages and file formats for
 the vile and xvile editors.

Package: xvile
Architecture: any
Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: xfonts-100dpi, xfonts-75dpi
Provides: editor
Replaces: vile-common (<< 9.7x-1)
Description: VI Like Emacs - vi work-alike (X11)
 vile is a text editor which is extremely compatible with vi in terms of
 ``finger feel''.  In addition, it has extended capabilities in many areas,
 notably multi-file editing and viewing, syntax highlighting, key rebinding,
 an optional embedded perl interpreter, and real X window system support.
 .
 This package contains the X11 binary.  Required support files are
 contained in vile-common.  Source code highlighting filters are in
 vile-filters.  A character-mode binary is in the vile package.

Package: vile-common
Architecture: all
Depends: libio-pty-perl, ${misc:Depends}
Recommends: vile | xvile
Suggests: vile-filters
Replaces: vile (<< 9.2g-1)
Description: VI Like Emacs - support files for vile/xvile
 Shared files for the vile and xvile editors.

=== debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for vile/xvile
#

SHELL = /bin/bash
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/buildflags.mk

configure_flags = \
    --with-locale \
    --with-perl \
    --with-loadable-filters=all \
    --disable-rpath-hack \
    --disable-stripping \
    $(shell dpkg-buildflags --export=configure)

xshell = x-terminal-emulator -e /usr/share/vile/xshell.sh

# install path for upstream make
TMP = $(CURDIR)/debian/tmp

build: build-arch build-indep
build-arch build-indep: build-stamp
build-stamp:
	dh_testdir
	rm -rf t

	# Update config.guess, config.sub
	dh_update_autotools_config

	# Configure vile
	dh_auto_configure --builddirectory=t/vile -- $(configure_flags)

	# Build vile, vile-common, vile-filters
	$(MAKE) -C t/vile all vile-perl-api.doc
	mkdir -p t/vile/perl
	(cd perl; find * -type f -name '*.p[lm]' -print | \
	    xargs grep -l =head1 | \
	    while read file; do \
		out=$$(echo $$file | sed 's#/#::#g; s/\.p.$$/.doc/'); \
		pod2text --stderr $$file ../t/vile/perl/$$out; \
	    done)

	# Configure xvile
	dh_auto_configure --builddirectory=t/xvile -- $(configure_flags) \
	    --with-xpm --with-screen=Xaw \
	    --with-app-defaults=/etc/X11/app-defaults \
	    --with-pixmapdir='$$(prefix)/share/pixmaps' \
	    --with-icondir='$$(prefix)/share/icons' \
	    --with-icon-theme=hicolor
	echo '#define DEFAULT_XSHELL "$(xshell)"' >> t/xvile/config.h

	# Build xvile
	$(MAKE) -C t/xvile xvile

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	dh_clean
	rm -rf t

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install vile, vile-filters, vile-common
	$(MAKE) -C t/vile DESTDIR=$(TMP) install
	rm -f $(TMP)/usr/bin/vile-pager $(TMP)/usr/bin/vile-libdir-path \
	    $(TMP)/usr/bin/vile-to-html  # examples
	pod2man $(TMP)/usr/bin/vileget > \
	    $(TMP)/usr/share/man/man1/vileget.1

	install -d $(TMP)/usr/share/lintian/overrides
	install -c -m 644 debian/overrides/vile \
	    $(TMP)/usr/share/lintian/overrides

	# Install xvile
	install -d $(TMP)/usr/bin $(TMP)/etc/X11/app-defaults \
            $(TMP)/usr/share/applications $(TMP)/usr/share/pixmaps \
	    $(TMP)/usr/share/vile

	install -c t/xvile/xvile $(TMP)/usr/bin/xvile
	install -c macros/uxvile $(TMP)/usr/bin/uxvile
	install -c -m 644 macros/xvile.desktop macros/uxvile.desktop \
	    $(TMP)/usr/share/applications

	$(MAKE) -C t/xvile DESTDIR=$(TMP) install-app install-icon
	$(MAKE) -C t/xvile DESTDIR=$(TMP) bindir='$$(datadir)' \
	    $(TMP)/usr/share/vile/vilemenu.rc \
	    $(TMP)/usr/share/vile/xshell.sh

	dh_movefiles
	touch $@

# Build architecture-independent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link              -a
	dh_strip             -a
	dh_compress          -a
	dh_fixperms          -a
	dh_installdeb        -a
	dh_shlibdeps         -a
	dh_gencontrol        -a
	dh_md5sums           -a
	dh_builddeb          -a

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs       -i
	dh_installexamples   -i
	dh_installchangelogs -i -k CHANGES
	dh_compress          -i
	dh_fixperms          -i
	dh_installdeb        -i
	dh_gencontrol        -i
	dh_md5sums           -i
	dh_builddeb          -i

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean install binary-arch binary-indep binary

=== package/debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for vile/xvile
#

# packages
PACKAGES.indep = vile-common
PACKAGES.arch  = vile vile-filters xvile

# Debian 7 builds deprecate passing CFLAGS in the environment, preferring to
# use a new "--export=make" flag.  This script works around that, to allow
# builds with Debian 5 and 6:
MYFLAGS= echo >myvars; \
	test -n "$(CFLAGS)" || dpkg-buildflags --export=sh >myvars; \
	. ./myvars; \
	rm myvars

configure = \
	$(MYFLAGS); ../../configure \
	--prefix=/usr \
	--mandir='$${prefix}/share/man' \
	--with-app-defaults=/etc/X11/app-defaults \
	--with-locale \
	--with-loadable-filters=all \
	--disable-rpath-hack

# install path for upstream make
TMP = $(CURDIR)/debian/tmp

# use debhelper v5
#export DH_COMPAT = 5

# add -g if DEB_BUILD_OPTIONS contains the string "debug" (policy 11.1)
ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
    debug =
else
    debug = -g
endif

verbose = # -v

xshell = x-terminal-emulator -e $${prefix}/share/vile/xshell.sh

.PHONY: all config build install binary clean config-indep config-arch \
    build-indep build-arch install-indep install-arch binary-indep \
    binary-arch

all: build

config: config-indep config-arch
build: build-indep build-arch
install: install-indep install-arch
binary: binary-indep binary-arch
clean:
	dh_testdir
	dh_testroot
	dh_clean $(verbose)
	rm -rf t

config-indep: $(PACKAGES.indep:%=config-%-stamp)
config-arch: $(PACKAGES.arch:%=config-%-stamp)

build-indep: $(PACKAGES.indep:%=build-%-stamp)
build-arch: $(PACKAGES.arch:%=build-%-stamp)

install-indep: $(PACKAGES.indep:%=install-%-stamp)
install-arch: $(PACKAGES.arch:%=install-%-stamp)

binary-indep: install-indep
ifneq ($(PACKAGES.indep),)
	rm -f $(PACKAGES.indep:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_installdocs       $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installman        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installexamples   $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installchangelogs $(verbose) $(PACKAGES.indep:%=-p%) -k CHANGES
	dh_compress          $(verbose) $(PACKAGES.indep:%=-p%)
	dh_fixperms          $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installdeb        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_gencontrol        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_md5sums           $(verbose) $(PACKAGES.indep:%=-p%)
	dh_builddeb          $(verbose) $(PACKAGES.indep:%=-p%)
endif

binary-arch: install-arch
ifneq ($(PACKAGES.arch),)
	rm -f $(PACKAGES.arch:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_link              $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installdocs       $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installmenu       $(verbose) $(PACKAGES.arch:%=-p%)
	dh_strip             $(verbose) $(PACKAGES.arch:%=-p%)
	dh_compress          $(verbose) $(PACKAGES.arch:%=-p%)
	dh_fixperms          $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installdeb        $(verbose) $(PACKAGES.arch:%=-p%)
	dh_shlibdeps         $(verbose) $(PACKAGES.arch:%=-p%)
	dh_gencontrol        $(verbose) $(PACKAGES.arch:%=-p%)
	dh_md5sums           $(verbose) $(PACKAGES.arch:%=-p%)
	dh_builddeb          $(verbose) $(PACKAGES.arch:%=-p%)
endif

config-vile-stamp:
	dh_testdir
	rm -rf t/vile
	mkdir -p t/vile
	cd t/vile; $(configure) --with-perl
	touch $@

%-vile-common-stamp %-vile-filters-stamp: %-vile-stamp
	touch $@

config-xvile-stamp:
	dh_testdir
	rm -rf t/xvile
	mkdir -p t/xvile
	cd t/xvile; $(configure) \
		--with-perl \
		--with-xpm \
		--with-screen=Xaw \
		--with-pixmapdir='$${prefix}/share/pixmaps' \
		--with-icondir='$${prefix}/share/icons' \
		--with-icon-theme=hicolor
	echo '#define DEFAULT_XSHELL "${xshell}"' >> t/xvile/config.h
	touch $@

build-vile-stamp: config-vile-stamp
	dh_testdir
	$(MAKE) -C t/vile all vile-perl-api.doc EXTRA_CFLAGS="$(debug)"
	mkdir -p t/vile/perl
	(cd perl; find * -type f -name '*.p[lm]' -print | \
	    xargs grep -l =head1 | \
	    while read file; do \
		out=$$(echo $$file | sed 's#/#::#g; s/\.p.$$/.doc/'); \
		pod2text $$file ../t/vile/perl/$$out; \
		if fgrep "POD ERRORS" ../t/vile/perl/$$out >/dev/null; \
		then \
			echo "** errors in $$file";\
		fi \
	    done)
	touch $@

build-xvile-stamp: config-xvile-stamp
	dh_testdir
	$(MAKE) -C t/xvile xvile EXTRA_CFLAGS="$(debug)"
	touch $@

install-vile-stamp: build-vile-stamp
	dh_testdir
	dh_testroot
	dh_prep -pvile-filters -pvile-common -pvile

	$(MAKE) -C t/vile DESTDIR=$(TMP) install
	#rm -f $(TMP)/usr/bin/vile-pager  # examples
	rm -f $(TMP)/usr/share/man/man1/vile.1  # docs
	pod2man $(TMP)/usr/bin/vileget > \
	    $(TMP)/usr/share/man/man1/vileget.1

	install -d $(TMP)/usr/share/lintian/overrides
	install -c -m 644 debian/overrides/vile \
	    $(TMP)/usr/share/lintian/overrides

	dh_movefiles $(verbose) -pvile-filters -pvile-common -pvile

	# the manpage will be compressed, but the makefile made these:
	rm -vf $(TMP)/usr/share/man/man1/vile-*.1

	# ensure that all files have been moved from debian/tmp
	test `find $(TMP) ! -type d | wc -l` -eq 0

	touch $@

install-xvile-stamp: build-xvile-stamp
	dh_testdir
	dh_testroot
	dh_prep -pxvile

	install -d $(TMP)/usr/bin \
	    $(TMP)/etc/X11/app-defaults \
	    $(TMP)/usr/share/applications \
	    $(TMP)/usr/share/icons \
	    $(TMP)/usr/share/pixmaps \
	    $(TMP)/usr/share/vile

	install -c t/xvile/xvile $(TMP)/usr/bin/xvile
	install -c macros/uxvile $(TMP)/usr/bin/uxvile
	install -c macros/lxvile $(TMP)/usr/bin/lxvile

	# all of the build-scripts were moved
	( cd t/xvile ; make install-desktop \
		DESKTOP_DIR=$(TMP)/usr/share/applications \
		DESKTOP_FILES="$(CURDIR)/macros/xvile.desktop $(CURDIR)/macros/uxvile.desktop" )

	install -c -m 644 debian/*.xpm $(TMP)/usr/share/pixmaps

	$(MAKE) -C t/xvile DESTDIR=$(TMP) install-app install-icon
	$(MAKE) -C t/xvile DESTDIR=$(TMP) bindir='$${datadir}' \
	    $(TMP)/usr/share/vile/vilemenu.rc \
	    $(TMP)/usr/share/vile/xshell.sh

	dh_movefiles $(verbose) -pxvile
	dh_icons $(verbose) -pxvile
	touch $@

## vile 9.8u

=== package/freebsd/vile/Makefile ===
# Created by: pgf
# $FreeBSD: tags/RELEASE_12_0_0/editors/vile/Makefile 446109 2017-07-17 19:41:10Z cpm $

PORTNAME=	vile
PORTVERSION=	9.8t
CATEGORIES=	editors
MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
		ftp://ftp.invisible-island.net/vile/current/ \
		https://invisible-mirror.net/archives/vile/current/

PATCH_SITES=	${MASTER_SITES:S,vile/current/,vile/patches/,g}
#PATCHFILES=

MAINTAINER=	dickey@invisible-island.net
COMMENT=	VI Like Emacs -- console version

LICENSE=	GPLv2

BUILD_DEPENDS=	reflex:textproc/reflex

USES=		ncurses pkgconfig shebangfix tar:tgz
SHEBANG_FILES=	perl/vileget
GNU_CONFIGURE=	yes
CONFIGURE_ENV=	cf_cv_crypt_works=yes
MAKEFILE=	makefile
INSTALL_TARGET=	install install-doc install-html

CONFLICTS_INSTALL=	xvile-[0-9]*

OPTIONS_DEFINE=		DOCS FILTERS ICONV PERL
OPTIONS_SUB=		yes

FILTERS_DESC=		Loadable filters
FILTERS_CONFIGURE_WITH=	loadable-filters
ICONV_USES=		iconv
ICONV_CONFIGURE_ON=	--with-iconv ${ICONV_CONFIGURE_ARG}
ICONV_CONFIGURE_OFF=	--without-iconv --without-locale
PERL_USES=		perl5
PERL_CONFIGURE_WITH=	perl

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MFILTERS}
PLIST_SUB+=	SO_EXT=".so"
.else
PLIST_SUB+=	SO_EXT=""
.endif

post-patch:
	@${REINPLACE_CMD} -e \
		's|$$(datadir)/doc|@datadir@/doc/vile| ; \
		 s|$$(datadir)/html|$$(docdir)/html| ; \
		 s|\($$(DOCDIR)\) \($$(MANDIR)\)|\1 $$(HTMLDIR) \2|' \
		${WRKSRC}/makefile.in

.include <bsd.port.mk>

=== package/freebsd/xvile/Makefile ===
# Created by: pgf
# $FreeBSD: tags/RELEASE_12_0_0/editors/xvile/Makefile 428846 2016-12-18 11:47:09Z olivierd $

PORTNAME=	vile
PORTVERSION=	9.8t
CATEGORIES=	editors
MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
		ftp://ftp.invisible-island.net/vile/current/ \
		https://invisible-mirror.net/archives/vile/current/
PKGNAMEPREFIX=	x

PATCH_SITES=	${MASTER_SITES:S,vile/current/,vile/patches/,g}
PATCHFILES=	# none

MAINTAINER=	dickey@invisible-island.net
COMMENT=	VI Like Emacs -- X11 version

LICENSE=	GPLv2

BUILD_DEPENDS=	reflex:textproc/reflex

USES=		pkgconfig shebangfix tar:tgz
SHEBANG_FILES=	macros/lxvile macros/lxvile-fonts perl/vileget
USE_XORG=	x11 xext xpm xt
GNU_CONFIGURE=	yes
CONFIGURE_ENV=	cf_cv_crypt_works=yes
CONFIGURE_ARGS=	--disable-imake \
		--disable-desktop \
		--enable-fontset \
		--with-icon-theme \
		--with-xpm \
		--with-icondir=${PREFIX}/share/icons \
		--with-pixmapdir=${PREFIX}/share/pixmaps
MAKEFILE=	makefile
INSTALL_TARGET=	install install-doc install-html

CONFLICTS_INSTALL=	vile-[0-9]*

OPTIONS_DEFINE=		DOCS FILTERS ICONV PERL
OPTIONS_RADIO=		MENUS
OPTIONS_RADIO_MENUS=	MOTIF XAW XAW3D
OPTIONS_DEFAULT=	ICONV
OPTIONS_SUB=		yes

FILTERS_DESC=		Loadable filters
FILTERS_CONFIGURE_WITH=	loadable-filters
ICONV_USES=		iconv
ICONV_CONFIGURE_ON=	--with-iconv ${ICONV_CONFIGURE_ARG}
ICONV_CONFIGURE_OFF=	--without-iconv --without-locale
MENUS_DESC=		Support for menus
MOTIF_USES=		motif
MOTIF_CONFIGURE_ON=	--enable-colored-menus \
			--with-screen=motif
PERL_USES=		perl5
PERL_CONFIGURE_WITH=	perl
XAW_DESC=		X Athena Widgets
XAW_USE=		XORG=xaw
XAW_CONFIGURE_ON=	--with-screen=athena
XAW3D_DESC=		X Athena Widgets with 3D effect
XAW3D_LIB_DEPENDS=	libXaw3d.so:x11-toolkits/Xaw3d
XAW3D_CONFIGURE_ON=	--enable-colored-menus \
			--with-Xaw3d \
			--with-screen=xaw3d

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MFILTERS}
PLIST_SUB+=	SO_EXT=".so"
.else
PLIST_SUB+=	SO_EXT=""
.endif

.if empty(PORT_OPTIONS:MMOTIF) && empty(PORT_OPTIONS:MXAW) && empty(PORT_OPTIONS:MXAW3D)
CONFIGURE_ARGS+=	--with-screen=x11
.endif

post-patch:
	@${REINPLACE_CMD} -e \
		's|$$(datadir)/doc|@datadir@/doc/vile| ; \
		 s|$$(datadir)/html|$$(docdir)/html| ; \
		 s|\($$(DOCDIR)\) \($$(MANDIR)\)|\1 $$(HTMLDIR) \2|' \
		${WRKSRC}/makefile.in
	@${REINPLACE_CMD} -e \
		'/^Categories/s|Application;||' \
		${WRKSRC}/macros/*.desktop

post-install:
	(cd ${WRKSRC}/macros && ${INSTALL_DATA} *.desktop \
		${STAGEDIR}${PREFIX}/share/applications)

.include <bsd.port.mk>

## vile 9.8v

=== package/freebsd/vile/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # Created by: pgf
-# $FreeBSD: tags/RELEASE_12_0_0/editors/vile/Makefile 446109 2017-07-17 19:41:10Z cpm $
+# $FreeBSD$
 
 PORTNAME=	vile
-PORTVERSION=	9.8t
+PORTVERSION=	9.8v
 CATEGORIES=	editors
-MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
-		ftp://ftp.invisible-island.net/vile/current/ \
+MASTER_SITES=	ftp://ftp.invisible-island.net/pub/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
 
 PATCH_SITES=	${MASTER_SITES:S,vile/current/,vile/patches/,g}
@@ -24,8 +23,6 @@
 CONFIGURE_ENV=	cf_cv_crypt_works=yes
 MAKEFILE=	makefile
 INSTALL_TARGET=	install install-doc install-html
-
-CONFLICTS_INSTALL=	xvile-[0-9]*
 
 OPTIONS_DEFINE=		DOCS FILTERS ICONV PERL
 OPTIONS_SUB=		yes

=== package/freebsd/xvile/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # Created by: pgf
-# $FreeBSD: tags/RELEASE_12_0_0/editors/xvile/Makefile 428846 2016-12-18 11:47:09Z olivierd $
+# $FreeBSD: head/editors/xvile/Makefile 516802 2019-11-05 15:48:40Z zeising $
 
 PORTNAME=	vile
-PORTVERSION=	9.8t
+PORTVERSION=	9.8v
 CATEGORIES=	editors
-MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
-		ftp://ftp.invisible-island.net/vile/current/ \
+MASTER_SITES=	ftp://ftp.invisible-island.net/pub/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
 PKGNAMEPREFIX=	x
 
@@ -19,7 +18,7 @@
 
 BUILD_DEPENDS=	reflex:textproc/reflex
 
-USES=		pkgconfig shebangfix tar:tgz
+USES=		pkgconfig shebangfix tar:tgz xorg
 SHEBANG_FILES=	macros/lxvile macros/lxvile-fonts perl/vileget
 USE_XORG=	x11 xext xpm xt
 GNU_CONFIGURE=	yes
@@ -29,12 +28,13 @@
 		--enable-fontset \
 		--with-icon-theme \
 		--with-xpm \
+		--datarootdir=${PREFIX}/share/xvile \
 		--with-icondir=${PREFIX}/share/icons \
-		--with-pixmapdir=${PREFIX}/share/pixmaps
+		--with-libdir-path=${PREFIX}/lib/xvile \
+		--with-pixmapdir=${PREFIX}/share/pixmaps \
+		--with-startup-path=${PREFIX}/share/xvile
 MAKEFILE=	makefile
 INSTALL_TARGET=	install install-doc install-html
-
-CONFLICTS_INSTALL=	vile-[0-9]*
 
 OPTIONS_DEFINE=		DOCS FILTERS ICONV PERL
 OPTIONS_RADIO=		MENUS
@@ -62,6 +62,10 @@
 			--with-Xaw3d \
 			--with-screen=xaw3d
 
+# fixes to make this not conflict with the "vile" port
+DATADIR=		${PREFIX}/share/xvile
+DOCSDIR=		${PREFIX}/share/doc/xvile
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MFILTERS}
@@ -76,13 +80,17 @@
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|$$(datadir)/doc|@datadir@/doc/vile| ; \
+		's|$$(datadir)/doc|@prefix@/share/doc/xvile| ; \
+		 s|^\(datadir[ 	]*=[ 	]*\)@datadir@.*|\1@datarootdir@| ; \
+		 s|@datadir@/doc/vile|@datarootdir@/doc/xvile| ; \
 		 s|$$(datadir)/html|$$(docdir)/html| ; \
+		 s|$$(datadir)/perl|@datadir@/perl| ; \
+		 s|$$(BINDIR)/vileget|$$(BINDIR)/xvileget| ; \
 		 s|\($$(DOCDIR)\) \($$(MANDIR)\)|\1 $$(HTMLDIR) \2|' \
 		${WRKSRC}/makefile.in
 	@${REINPLACE_CMD} -e \
-		'/^Categories/s|Application;||' \
-		${WRKSRC}/macros/*.desktop
+		's|^\(datadir[ 	]*=[ 	]*\)@datadir@.*|\1@datarootdir@|' \
+		${WRKSRC}/filters/makefile.in
 
 post-install:
 	(cd ${WRKSRC}/macros && ${INSTALL_DATA} *.desktop \

=== package/pkgsrc/vile/Makefile ===
# $NetBSD: Makefile,v 1.73 2020/05/21 07:40:28 wiz Exp $

DISTNAME=		vile-9.8v
CATEGORIES=		editors
MASTER_SITES=		ftp://ftp.invisible-island.net/pub/vile/current/ \
			https://invisible-mirror.net/archives/vile/current/
EXTRACT_SUFX=		.tgz

MAINTAINER=		pkgsrc-users@NetBSD.org
HOMEPAGE=		https://invisible-island.net/vile/
COMMENT=		VI Like Emacs.  a vi "workalike", with many additional features
LICENSE=		gnu-gpl-v2

.include "options.mk"

GNU_CONFIGURE=		yes
CONFIGURE_ARGS+=	--with-perl
CONFIGURE_ARGS+=	--datadir=${PREFIX}/share
CONFIGURE_ARGS+=	--with-libdir-path=${FILTERDIR:Q}
USE_TOOLS+=		perl:run

REPLACE_PERL=		perl/vileget

CPPFLAGS.NetBSD+=	-DMISSING_EXTERN_ENVIRON

MAKE_FILE=		makefile
INSTALL_TARGET=		install install-doc install-perl

DATADIR=		${PREFIX}/share/vile
FILTERDIR=		${PREFIX}/libexec/vile
EGDIR=			${PREFIX}/share/examples/vile

post-install:
	${INSTALL_DATA_DIR} ${DESTDIR}${EGDIR}
	set -e;								\
	for f in filters/spell.rc filters/filters.rc			\
		macros/digraphs.rc macros/pictmode.rc			\
		macros/manpage.rc visvile/visvile.rc; do		\
		${INSTALL_DATA} ${WRKSRC}/$$f ${DESTDIR}${EGDIR};	\
	done

.include "../../lang/perl5/buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== package/pkgsrc/xvile/Makefile ===
# $NetBSD: Makefile,v 1.76 2020/05/21 07:40:28 wiz Exp $

DISTNAME=		vile-9.8v
PKGNAME=		x${DISTNAME}
CATEGORIES=		editors
MASTER_SITES=		ftp://ftp.invisible-island.net/vile/current/ \
			https://invisible-mirror.net/archives/vile/current/
EXTRACT_SUFX=		.tgz

MAINTAINER=		pkgsrc-users@NetBSD.org
HOMEPAGE=		https://invisible-island.net/vile/
COMMENT=		VI Like Emacs, X11 version -- a fully "X aware" vi work-alike
LICENSE=		gnu-gpl-v2

DISTINFO_FILE=		${.CURDIR}/../../editors/vile/distinfo
PATCHDIR=		${.CURDIR}/../../editors/vile/patches

GNU_CONFIGURE=		yes
CONFIGURE_ARGS+=	--disable-imake
CONFIGURE_ARGS+=	--with-perl
CONFIGURE_ARGS+=	--datadir=${PREFIX}/share
CONFIGURE_ARGS+=	--with-libdir-path=${FILTERDIR:Q}
CONFIGURE_ARGS+=	--with-startup-path=${DATADIR:Q}

MAKE_FILE=		makefile
INSTALL_TARGET=		install install-doc install-perl

REPLACE_PERL=		perl/vileget
REPLACE_PERL+=		macros/lxvile
REPLACE_PERL+=		macros/lxvile-fonts
USE_TOOLS+=		perl:run

DATADIR=		${PREFIX}/share/xvile
FILTERDIR=		${PREFIX}/libexec/xvile
EGDIR=			${PREFIX}/share/examples/xvile

.include "../../mk/bsd.prefs.mk"

.if defined(XAW_TYPE) && (${XAW_TYPE} == "3d" || ${XAW_TYPE} == "xpm")
CONFIGURE_ARGS+=	--with-screen=Xaw3d
CONFIGURE_ARGS+=	--with-Xaw3d
.else
CONFIGURE_ARGS+=	--with-screen=Xaw
.endif
CONFIGURE_ARGS+=	--with-xpm

pre-configure:
	for f in							\
		${WRKDIR}/${DISTNAME}/makefile.in			\
		${WRKDIR}/${DISTNAME}/filters/makefile.in; do		\
		${MV} $$f $$f.bak;					\
		sed -e '/^datadir[ 	]*=[ 	]*@datadir@/s%/vile%/xvile%' $$f.bak >$$f; \
	done

post-install:
	${INSTALL_SCRIPT} ${WRKSRC}/perl/vileget 			\
		${DESTDIR}${PREFIX}/bin/xvileget
	${RM} -f ${DESTDIR}${PREFIX}/bin/vileget
	${INSTALL_DATA_DIR} ${DESTDIR}${EGDIR}
	set -e;								\
	for f in filters/spell.rc filters/filters.rc			\
		macros/digraphs.rc macros/pictmode.rc			\
		macros/manpage.rc visvile/visvile.rc; do		\
		${INSTALL_DATA} ${WRKSRC}/$$f ${DESTDIR}${EGDIR};	\
	done

.include "../../x11/libXmu/buildlink3.mk"
.include "../../x11/libXpm/buildlink3.mk"
.include "../../lang/perl5/buildlink3.mk"
.include "../../mk/xaw.buildlink3.mk"

.include "../../mk/bsd.pkg.mk"

## vile 9.8w

=== package/freebsd/xvile/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 # Created by: pgf
-# $FreeBSD: head/editors/xvile/Makefile 516802 2019-11-05 15:48:40Z zeising $
 
 PORTNAME=	vile
 PORTVERSION=	9.8v

=== debian/changelog ===
vile (9.8w-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 22 Aug 2022 15:16:35 +1000

vile (9.8v-4) unstable; urgency=medium

  * Apply multi-arch hint from Debian Janitor: multiple vile-filters
    packages may be installed (not particularly usefully, as the same is
    not true of the vile package...).
  * Add Rules-Requires-Root: no.
  * Update to standards version 4.6.1.
  * Fix order of #include in UXVile.ad so that the correct font is used.
  * Change the default xvile font to match the uxvile sizing (9x18).
  * Rollback lins_chars() change added in 9.8v (breaking unicode input).

 -- Brendan O'Dea <bod@debian.org>  Tue, 02 Aug 2022 15:15:05 +1000

vile (9.8v-3) unstable; urgency=medium

  * Remove a pragma from perl.xs which gcc no longer recognises.
  * Fix a build failure for Perl 5.36 caused by a namespace conflict of
    the symbol `regexp' (closes: #1014289).

 -- Brendan O'Dea <bod@debian.org>  Mon, 04 Jul 2022 14:27:41 +1000

vile (9.8v-2) unstable; urgency=medium

  * Switch to dpkg-source 3.0 (quilt) format (closes: #1007381).

 -- Brendan O'Dea <bod@debian.org>  Wed, 16 Mar 2022 20:27:38 +1100

vile (9.8v-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 13 Dec 2021 17:33:04 +1100

vile (9.8u-2) unstable; urgency=medium

  * Don't call dpkg-buildflags directly, allow configure to get flags set
    by buildflags.mk from the environment.
  * Set -e explicitly in maintainer scripts rather than via the #! line
    (lintian: maintainer-script-without-set-e).
  * Update lintian override for vile man page (changed to no-manual-page).
  * Update debhelper to version 13.

 -- Brendan O'Dea <bod@debian.org>  Sun, 07 Feb 2021 01:09:00 +1100

vile (9.8u-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 18 May 2020 22:30:38 +1000

vile (9.8t-4) unstable; urgency=medium

  * Re-build to fix accidental build as native (closes: #953604).

 -- Brendan O'Dea <bod@debian.org>  Wed, 11 Mar 2020 11:57:30 +1100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Brendan O'Dea <bod@debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Standards-Version: 4.1.3
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10), flex (>= 2.6.4), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13), flex (>= 2.6.4), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Homepage: https://invisible-island.net/vile/
 Vcs-Browser: https://salsa.debian.org/debian/vile
 Vcs-Git: https://salsa.debian.org/debian/vile.git
 
@@ -25,6 +27,7 @@
 Package: vile-filters
 Architecture: any
 Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: VI Like Emacs - highlighting filters for vile/xvile
  Text highlighting filters for various languages and file formats for
  the vile and xvile editors.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SHELL = /bin/bash
 DPKG_EXPORT_BUILDFLAGS = 1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/buildflags.mk
 
@@ -16,8 +16,7 @@
     --with-perl \
     --with-loadable-filters=all \
     --disable-rpath-hack \
-    --disable-stripping \
-    $(shell dpkg-buildflags --export=configure)
+    --disable-stripping
 
 xshell = x-terminal-emulator -e /usr/share/vile/xshell.sh

## vile 9.8y

=== package/openbsd/Makefile ===
COMMENT=		VI Editor Like Emacs
DISTNAME=		vile-9.8w
CATEGORIES=		editors
HOMEPAGE=		https://invisible-island.net/vile/

# GPLv2
PERMIT_PACKAGE=	Yes

WANTLIB +=	c curses iconv

MASTER_SITES=		https://invisible-island.net/archives/vile/current/ \
			https://invisible-mirror.net/archives/vile/current/

EXTRACT_SUFX=	.tgz

CONFIGURE_STYLE=gnu
CONFIGURE_ARGS+=	--with-builtin-filters --with-screen=ncursesw
CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib" \
		CPPFLAGS="-I${LOCALBASE}/include"

LIB_DEPENDS=	converters/libiconv
MAKE_FILE=	makefile
NO_TEST=	yes

.include <bsd.port.mk>

=== package/freebsd/vile/Makefile ===
--- 
+++ 
@@ -1,10 +1,7 @@
-# Created by: pgf
-# $FreeBSD$
-
 PORTNAME=	vile
-PORTVERSION=	9.8v
+PORTVERSION=	9.8w
 CATEGORIES=	editors
-MASTER_SITES=	ftp://ftp.invisible-island.net/pub/vile/current/ \
+MASTER_SITES=	https://invisible-island.net/archives/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
 
 PATCH_SITES=	${MASTER_SITES:S,vile/current/,vile/patches/,g}
@@ -14,6 +11,7 @@
 COMMENT=	VI Like Emacs -- console version
 
 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
 
 BUILD_DEPENDS=	reflex:textproc/reflex

=== package/pkgsrc/vile/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $NetBSD: Makefile,v 1.73 2020/05/21 07:40:28 wiz Exp $
+# $NetBSD: Makefile,v 1.79 2022/08/23 08:52:37 wiz Exp $
 
-DISTNAME=		vile-9.8v
+DISTNAME=		vile-9.8w
 CATEGORIES=		editors
-MASTER_SITES=		ftp://ftp.invisible-island.net/pub/vile/current/ \
-			https://invisible-mirror.net/archives/vile/current/
+MASTER_SITES=		https://invisible-island.net/archives/vile/current/
+MASTER_SITES+=		https://invisible-mirror.net/archives/vile/current/
 EXTRACT_SUFX=		.tgz
 
 MAINTAINER=		pkgsrc-users@NetBSD.org
@@ -26,7 +26,6 @@
 MAKE_FILE=		makefile
 INSTALL_TARGET=		install install-doc install-perl
 
-DATADIR=		${PREFIX}/share/vile
 FILTERDIR=		${PREFIX}/libexec/vile
 EGDIR=			${PREFIX}/share/examples/vile

=== package/pkgsrc/xvile/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-# $NetBSD: Makefile,v 1.76 2020/05/21 07:40:28 wiz Exp $
+# $NetBSD: Makefile,v 1.82 2022/08/23 08:52:38 wiz Exp $
 
-DISTNAME=		vile-9.8v
+DISTNAME=		vile-9.8w
 PKGNAME=		x${DISTNAME}
 CATEGORIES=		editors
-MASTER_SITES=		ftp://ftp.invisible-island.net/vile/current/ \
-			https://invisible-mirror.net/archives/vile/current/
+MASTER_SITES=		https://invisible-island.net/archives/vile/current/
+MASTER_SITES+=		https://invisible-mirror.net/archives/vile/current/
 EXTRACT_SUFX=		.tgz
 
 MAINTAINER=		pkgsrc-users@NetBSD.org
@@ -43,6 +43,7 @@
 CONFIGURE_ARGS+=	--with-screen=Xaw
 .endif
 CONFIGURE_ARGS+=	--with-xpm
+BUILD_DEFS+=		XAW_TYPE
 
 pre-configure:
 	for f in							\

=== debian/changelog ===
vile (9.8y-2) unstable; urgency=medium

  * Fix typo in aclocal.m4 (closes: #1029956).

 -- Brendan O'Dea <bod@debian.org>  Mon, 30 Jan 2023 15:40:09 +1100

vile (9.8y-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 16 Jan 2023 13:52:00 +1100

vile (9.8x-2) unstable; urgency=medium

  * Apply patch from upstream to fix insertion of accented characters
    using compose sequences with Multi_key.

 -- Brendan O'Dea <bod@debian.org>  Sun, 15 Jan 2023 13:30:54 +1100

vile (9.8x-1) unstable; urgency=medium

  * New upstream release.
  * Actually include lxvile in the xvile package.
  * Revert `Multi-Arch: same' change to vile-filters: this introduces a
    lintian error due to the dependency on the non multi-arch package
    vile-common.

 -- Brendan O'Dea <bod@debian.org>  Sat, 31 Dec 2022 12:46:28 +1100

vile (9.8w-3) unstable; urgency=medium

  * Change ncurses build dependency to unversioned libncurses-dev.
  * Install lxvile and lxvile.desktop.
  * Install lxvile-font to examples directory.
  * Fix Perl #! lines to meet Policy (§10.4).
  * Make example scripts executable.

 -- Brendan O'Dea <bod@debian.org>  Thu, 15 Dec 2022 21:58:04 +1100

vile (9.8w-2) unstable; urgency=medium

  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev, flex, libperl-dev
      and libxaw7-dev.
    + xvile: Drop versioned constraint on vile-common in Replaces.
    + vile-common: Drop versioned constraint on vile in Replaces.

 -- Debian Janitor <janitor@jelmer.uk>  Fri, 14 Oct 2022 17:06:02 -0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Paul van Tilburg <paulvt@debian.org>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13), flex (>= 2.6.4), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Build-Depends: debhelper-compat (= 13), flex, libncurses-dev, libperl-dev, libxaw7-dev
 Homepage: https://invisible-island.net/vile/
 Vcs-Browser: https://salsa.debian.org/debian/vile
 Vcs-Git: https://salsa.debian.org/debian/vile.git
@@ -27,7 +27,6 @@
 Package: vile-filters
 Architecture: any
 Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
 Description: VI Like Emacs - highlighting filters for vile/xvile
  Text highlighting filters for various languages and file formats for
  the vile and xvile editors.
@@ -37,7 +36,6 @@
 Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: xfonts-100dpi, xfonts-75dpi
 Provides: editor
-Replaces: vile-common (<< 9.7x-1)
 Description: VI Like Emacs - vi work-alike (X11)
  vile is a text editor which is extremely compatible with vi in terms of
  ``finger feel''.  In addition, it has extended capabilities in many areas,
@@ -53,6 +51,5 @@
 Depends: libio-pty-perl, ${misc:Depends}
 Recommends: vile | xvile
 Suggests: vile-filters
-Replaces: vile (<< 9.2g-1)
 Description: VI Like Emacs - support files for vile/xvile
  Shared files for the vile and xvile editors.

## vile 9.8z

=== package/freebsd/xvile/Makefile ===
--- 
+++ 
@@ -1,9 +1,7 @@
-# Created by: pgf
-
 PORTNAME=	vile
-PORTVERSION=	9.8v
+PORTVERSION=	9.8w
 CATEGORIES=	editors
-MASTER_SITES=	ftp://ftp.invisible-island.net/pub/vile/current/ \
+MASTER_SITES=	https://invisible-island.net/archives/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
 PKGNAMEPREFIX=	x
 
@@ -14,6 +12,7 @@
 COMMENT=	VI Like Emacs -- X11 version
 
 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
 
 BUILD_DEPENDS=	reflex:textproc/reflex

=== debian/changelog ===
vile (9.8z-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:30:05 +1100

vile (9.8z-1build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:04:18 +0100

vile (9.8z-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Tue, 23 Jan 2024 20:33:42 +1100

vile (9.8y-3) unstable; urgency=medium

  * Really fix cross building issue (closes: #1032651).

 -- Brendan O'Dea <bod@debian.org>  Tue, 14 Mar 2023 14:44:32 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vile
 Section: editors
 Priority: optional
-Maintainer: Brendan O'Dea <bod@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brendan O'Dea <bod@debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

## vile 9.8za

=== package/openbsd/Makefile ===
COMMENT=	VI Editor Like Emacs
DISTNAME=	vile-9.8za
CATEGORIES=	editors
HOMEPAGE=	https://invisible-island.net/vile/

# GPLv2
PERMIT_PACKAGE=	Yes

WANTLIB +=	c curses iconv

SITES=		https://invisible-island.net/archives/vile/current/ \
		https://invisible-mirror.net/archives/vile/current/

EXTRACT_SUFX=	.tgz

CONFIGURE_STYLE=gnu
CONFIGURE_ARGS+= --with-builtin-filters \
		--with-screen=ncursesw
CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib" \
		CPPFLAGS="-I${LOCALBASE}/include"

LIB_DEPENDS=	converters/libiconv
MAKE_FILE=	makefile
NO_TEST=	yes

.include <bsd.port.mk>

=== package/freebsd/vile/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PORTNAME=	vile
-PORTVERSION=	9.8w
+PORTVERSION=	9.8za
+PORTREVISION=	1
 CATEGORIES=	editors
 MASTER_SITES=	https://invisible-island.net/archives/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
@@ -9,6 +10,7 @@
 
 MAINTAINER=	dickey@invisible-island.net
 COMMENT=	VI Like Emacs -- console version
+WWW=		https://invisible-island.net/vile/
 
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
@@ -18,6 +20,7 @@
 USES=		ncurses pkgconfig shebangfix tar:tgz
 SHEBANG_FILES=	perl/vileget
 GNU_CONFIGURE=	yes
+GNU_CONFIGURE_MANPREFIX=${PREFIX}/share
 CONFIGURE_ENV=	cf_cv_crypt_works=yes
 MAKEFILE=	makefile
 INSTALL_TARGET=	install install-doc install-html

=== package/freebsd/xvile/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PORTNAME=	vile
-PORTVERSION=	9.8w
+PORTVERSION=	9.8za
+PORTREVISION=	1
 CATEGORIES=	editors
 MASTER_SITES=	https://invisible-island.net/archives/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
@@ -10,6 +11,7 @@
 
 MAINTAINER=	dickey@invisible-island.net
 COMMENT=	VI Like Emacs -- X11 version
+WWW=		https://invisible-island.net/vile/
 
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
@@ -20,6 +22,7 @@
 SHEBANG_FILES=	macros/lxvile macros/lxvile-fonts perl/vileget
 USE_XORG=	x11 xext xpm xt
 GNU_CONFIGURE=	yes
+GNU_CONFIGURE_MANPREFIX=${PREFIX}/share
 CONFIGURE_ENV=	cf_cv_crypt_works=yes
 CONFIGURE_ARGS=	--disable-imake \
 		--disable-desktop \

=== package/pkgsrc/vile/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-# $NetBSD: Makefile,v 1.79 2022/08/23 08:52:37 wiz Exp $
+# $NetBSD: Makefile,v 1.82 2024/11/16 12:05:37 wiz Exp $
 
-DISTNAME=		vile-9.8w
+DISTNAME=		vile-9.8za
+PKGREVISION=		3
 CATEGORIES=		editors
 MASTER_SITES=		https://invisible-island.net/archives/vile/current/
 MASTER_SITES+=		https://invisible-mirror.net/archives/vile/current/

=== package/pkgsrc/xvile/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-# $NetBSD: Makefile,v 1.82 2022/08/23 08:52:38 wiz Exp $
+# $NetBSD: Makefile,v 1.84 2024/11/16 12:05:38 wiz Exp $
 
-DISTNAME=		vile-9.8w
+DISTNAME=		vile-9.8za
 PKGNAME=		x${DISTNAME}
+PKGREVISION=		2
 CATEGORIES=		editors
 MASTER_SITES=		https://invisible-island.net/archives/vile/current/
 MASTER_SITES+=		https://invisible-mirror.net/archives/vile/current/

=== debian/changelog ===
vile (9.8za-1) unstable; urgency=medium

  * New upstream release.
  * Update to policy 4.7.0 (no changes).

 -- Brendan O'Dea <bod@debian.org>  Sat, 01 Feb 2025 11:59:40 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: vile
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brendan O'Dea <bod@debian.org>
+Maintainer: Brendan O'Dea <bod@debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), flex, libncurses-dev, libperl-dev, libxaw7-dev
 Homepage: https://invisible-island.net/vile/

=== debian/rules ===
--- 
+++ 
@@ -89,10 +89,9 @@
             $(TMP)/usr/share/applications $(TMP)/usr/share/pixmaps \
 	    $(TMP)/usr/share/vile
 
-	install -c t/xvile/xvile $(TMP)/usr/bin/xvile
-	install -c macros/uxvile $(TMP)/usr/bin/uxvile
-	install -c -m 644 macros/xvile.desktop macros/uxvile.desktop \
-	    $(TMP)/usr/share/applications
+	install -c t/xvile/xvile macros/lxvile macros/uxvile $(TMP)/usr/bin
+	install -c -m 644 macros/xvile.desktop macros/lxvile.desktop \
+	    macros/uxvile.desktop $(TMP)/usr/share/applications
 
 	$(MAKE) -C t/xvile DESTDIR=$(TMP) install-app install-icon
 	$(MAKE) -C t/xvile DESTDIR=$(TMP) bindir='$$(datadir)' \
@@ -123,6 +122,14 @@
 	dh_installdocs       -i
 	dh_installexamples   -i
 	dh_installchangelogs -i -k CHANGES
+
+	# Cleanup permissions and #! lines.
+	chmod +x debian/vile-common/usr/share/doc/vile-common/examples/*
+	sed -i '1s%#!/usr/bin/env perl%#!/usr/bin/perl%' \
+	    debian/xvile/usr/bin/lxvile \
+	    debian/vile-common/usr/bin/vileget \
+	    debian/vile-common/usr/share/doc/vile-common/examples/*
+
 	dh_compress          -i
 	dh_fixperms          -i
 	dh_installdeb        -i
